> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Company Advertisement Lookup

> Retrieve advertisement details for a specific company using an advertisement search ID.



## OpenAPI

````yaml en-openapi POST /companies/advertisements/lookup
openapi: 3.0.0
info:
  description: >-
    The Pubrio API is used to search, preview and enrich Contacts and Accounts.
    Pubrio database provides extensive B2B contacts and sales intelligence data.
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/en/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/en/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: Workspace profile information and usage statistics
  - name: Enrichment
    description: Enrich people and company records with detailed B2B data
  - name: Lookalike
    description: Find companies similar to a given company
  - name: Search
    description: Search for people, companies, jobs, news, and advertisements with filters
  - name: Lookup
    description: >-
      Look up detailed information for specific people, companies, jobs, news,
      advertisements, and technologies
  - name: LinkedIn
    description: Look up people and company data via LinkedIn profile URLs
  - name: Redeem
    description: Redeem credits to unlock people contact details (single and batch)
  - name: Channels
    description: Manage outreach channel templates (create, update, delete, list)
  - name: Monitor
    description: Create and manage data monitors with webhooks, statistics, and processing
  - name: Filters
    description: >-
      Retrieve available filter values for search parameters (technologies,
      locations, verticals, etc.)
externalDocs:
  description: >-
    The Pubrio API is used to search, preview and enrich Contacts and Accounts.
    Pubrio database provides extensive B2B contacts and sales intelligence data.
  url: https://docs.pubrio.com
paths:
  /companies/advertisements/lookup:
    post:
      tags:
        - Lookup
      summary: Look up company advertisements
      description: >-
        Retrieve advertisement details for a specific company using an
        advertisement search ID.
      operationId: companies_lookup_advertisements
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                advertisement_search_id:
                  $ref: '#/components/schemas/advertisement_search_id'
                profile_id:
                  $ref: '#/components/schemas/profile_id'
              required:
                - advertisement_search_id
      responses:
        '200':
          description: Successful response containing company advertisement details.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/data'
              example:
                data:
                  headline: Thuraya-4 Satellite Solutions for Government
                  description: >-
                    Thuraya-4 provides secure, always-on connectivity for
                    vehicles, aircraft and command centers, ensuring mission
                    continuity. 


                    Learn more about our satellite-powered government solutions.
                  poster: Space42
                  poster_title: Promoted
                  promoted_by: null
                  cta: Learn more
                  target_country_codes:
                    - MM
                    - ...
                  target_locations:
                    - United Arab Emirates
                    - ...
                  total_impressions: 10k-20k
                  impression_countries:
                    - country: India
                      impressions: 19%
                    - ...
                  advertisement_id: a92643e8-9033-4029-aa65-ef929327cebb
                  advertisement_search_id: a92643e8-9033-4029-aa65-ef929327cebb
                  created_at: '2026-03-03T01:01:31.134Z'
                  last_modified: '2026-03-03T13:01:22.805Z'
                  started_at: '2026-02-25T00:00:00.000Z'
                  ended_at: '2026-03-02T00:00:00.000Z'
                  title: Thuraya-4 Satellite Solutions for Government
                  source_type: linkedin
                  advertisement_format: Single Image Ad
                  video_url: null
                  image_url: >-
                    https://buckets.pubrio.com/images/public/qDf8TrjHJw9o8xFoQJv7vhnkLXNYKy1ThNVCWSHPmgHG5j7U4EroKtH4cYJcHCzTSh.jpg
                  carousel_images: null
                  destination_url: >-
                    https://www.thuraya.com/en/thuraya-4-ngs/home/index.html?trk=ad_library_ad_preview_headline_content
                  companies:
                    logo_url: >-
                      https://buckets.pubrio.com/company-logo/MjA3NTQ4NjQyM2lsajlzc25qMXNwYWNlNDIuYWlsaW5rZWRpbl82NDIyMjM3NA==.jpg
                    domain_search_id: fe3963dc-87a4-4016-8c95-217ea68cd57a
                    company_name: Space42
                    linkedin_name: space42ai
                    country_code: AE
                    domain: space42.ai
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
components:
  schemas:
    advertisement_search_id:
      type: string
      format: uuid
      example: a92643e8-9033-4029-aa65-ef929327cebb
      description: >-
        A unique identifier for the advertisement search result. Used to
        reference specific advertisements returned from the ads search endpoint.
    profile_id:
      type: integer
      description: >-
        Optional. An identifier for the user profile (workspace) making the
        request. This is no longer required as the API key already includes your
        workspace information. If provided, it helps in associating the lookup
        with a specific user, allowing for data retrieval and credit tracking. 

         Check out `user details` endpoints under the Profile tab for more information.
    data:
      type: object
      nullable: true
      description: Response info depends on specific endpoint.
  responses:
    general_error:
      description: >-
        Bad request. The request was malformed or contained invalid parameters.
        Check the error code and message for details.
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: >-
                  Errors and codes will vary depending on the scenario, please
                  see the documentation for information.
                type: string
              details:
                type: object
    rate_limit_error:
      description: >-
        Rate limit exceeded. Too many requests were made in a given time period.
        Retry after the rate limit window resets.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: Request rate limit exceeded. Please wait and try again later.
                type: string
    server_error:
      description: >-
        Internal server error. An unexpected error occurred on the server.
        Contact support if the error persists.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: An unexpected error occurred on the server.
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        A unique API token that represents the actions you perform through the
        API and the corresponding permissions and operations. You can create it
        through the [Settings](https://dashboard.pubrio.com/#/settings/)
        section.
      in: header

````